Package com.sun.messaging.jms.management.server

# Class ClusterNotification

java.lang.Object
java.util.EventObject
javax.management.Notification
com.sun.messaging.jms.management.server.MQNotification
com.sun.messaging.jms.management.server.ClusterNotification

All Implemented Interfaces:
  `Serializable`

public class ClusterNotification extends MQNotification
Class containing information on cluster related notifications.

The MQ specific fields in this notification is TBD.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CLUSTER_BROKER_DOWN`
  A broker in the cluster has gone down
  `static final String`
  `CLUSTER_BROKER_JOIN`
  A broker joined the cluster.

  ### Fields inherited from class com.sun.messaging.jms.management.server.MQNotification

  `PREFIX`

  ### Fields inherited from class javax.management.Notification

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClusterNotification(String type, Object source, long sequenceNumber)`
  Creates a ClusterNotification object.

- ## Method Summary

  ### Methods inherited from class javax.management.Notification

  `getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

  ### Methods inherited from class java.util.EventObject

  `getSource`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CLUSTER_BROKER_DOWN

    public static final String CLUSTER_BROKER_DOWN
    A broker in the cluster has gone down
    See Also:
      - Constant Field Values

  - ### CLUSTER_BROKER_JOIN

    public static final String CLUSTER_BROKER_JOIN
    A broker joined the cluster.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ClusterNotification

    public ClusterNotification(String type, Object source, long sequenceNumber)
    Creates a ClusterNotification object.
    Parameters:
      `type` - The notification type.
      `source` - The notification source.
      `sequenceNumber` - The notification sequence number within the source object.